package cn.org.bjca.trust.pushdemo.message;

import com.fasterxml.jackson.annotation.JsonIgnore;

public class SendMessage extends BaseMessage {
    private String messageId;
    private long timestamp;
    private String toClientId;
    private String target;
    private int messageType;
    private String message;
    private String describe;
    private String fromClientId;
    private String tenantNo;

    public String getTenantNo() {
        return this.tenantNo;
    }

    public void setTenantNo(String tenantNo) {
        this.tenantNo = tenantNo;
    }

    public SendMessage() {
        super(PacketType.SEND);
    }

    public String getMessageId() {
        return this.messageId;
    }

    public void setMessageId(String messageId) {
        this.messageId = messageId;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public long getTimestamp() {
        return this.timestamp;
    }

    public void setTimestamp(long timestamp) {
        this.timestamp = timestamp;
    }

    public String getToClientId() {
        return this.toClientId;
    }

    public void setToClientId(String toClientId) {
        this.toClientId = toClientId;
    }

    public String getMessage() {
        return this.message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

    @JsonIgnore
    public boolean isValid() {
        return true;
    }

    @JsonIgnore
    public boolean equals(Object another) {
        return another != null && another instanceof SendMessage ? this.messageId.equals(((SendMessage) another).messageId) : false;
    }

    public String getFromClientId() {
        return this.fromClientId;
    }

    public void setFromClientId(String fromClientId) {
        this.fromClientId = fromClientId;
    }

    public int getMessageType() {
        return this.messageType;
    }

    public void setMessageType(int messageType) {
        this.messageType = messageType;
    }

    public String getTarget() {
        return target;
    }

    public void setTarget(String target) {
        this.target = target;
    }
}
